> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# スコアラー削除

> scorerオブジェクトを削除します。



## OpenAPI

````yaml /ja/weave/reference/service-api/openapi.json delete /v2/{entity}/{project}/scorers/{object_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/scorers/{object_id}:
    delete:
      tags:
        - Scorers
      summary: スコアラー削除
      description: scorerオブジェクトを削除します。
      operationId: scorer_delete_v2__entity___project__scorers__object_id__delete
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: object_id
          required: true
          schema:
            title: Object Id
            type: string
        - description: 削除する digest の一覧です。指定しない場合は、scorer のすべての digest が削除されます。
          in: query
          name: digests
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: 削除する digest の一覧です。指定しない場合は、scorer のすべての digest が削除されます。
            title: Digests
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScorerDeleteRes'
          description: 正常な応答
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    ScorerDeleteRes:
      properties:
        num_deleted:
          description: 削除された scorer バージョンの数
          title: Num Deleted
          type: integer
      required:
        - num_deleted
      title: ScorerDeleteRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````